Vilma Registry Explorer

Vilma ® Registry Explorer is powerful tool that will help you to learn the structure of your windows® registry, and to find the easiest way to rule all aspects of your system. The Regexp program makes a backups of every one of your action and keep, so you can restore them if you decide that. Importing and exporting files is very easy with Vilma Registry Explorer.

Special thanks to: Boris Taratine and Gonzalo Fereira for the testing of this product.


what_is_registry

What is Windows® registry

The Windows® registry is the system database for Windows operating systems. It contains information about the configuration of system hardware and software, as well as about users of the system. Any Windows-based program can add information to the registry and read information back from the registry. Clients search the registry for interesting components to use.

The registry is structured as a hierarchy of keys, subkeys, and named values or single default values. Subkeys can have multiple subkeys and values.


struct_registry

Structure of the Registry

The registry stores data in a hierarchically structured tree. Each node in the tree is called a key. Each key can contain both subkeys and data entries called values. Sometimes, the presence of a key is all the data that an application requires; other times, an application opens a key and uses the values associated with the key. A key can have any number of values, and the values can be in any form.

Each key has a name consisting of one or more printable ANSI characters — that is, characters ranging from values 32 through 127. Key names cannot include a space, a backslash (\), or a wildcard character (* or ?). Key names beginning with a period (.) are reserved. The name of each subkey is unique with respect to the key that is immediately above it in the hierarchy. Key names are not localized into other languages, although values may be.


What_is_reg_keys

Predefined Keys

An application must open a key before it can add data to the registry. To open a key, an application must supply a handle to another key in the registry that is already open. The system defines standard handles that are always open. An application can use these predefined handles as entry points to the registry.
The system provides two predefined keys at the root of the registry: HKEY_LOCAL_MACHINE and HKEY_USERS. In addition, the system defines HKEY_CLASSES_ROOT (a subkey of HKEY_LOCAL_MACHINE) and HKEY_CURRENT_USER (a subkey of HKEY_USERS). In addition, other predefined handles have been defined for specific platforms.
Predefined keys help an application navigate in the registry and make it possible to develop tools that allow a system administrator to manipulate categories of data. Applications that add data to the registry should always work within the framework of predefined keys, so administrative tools can find and use the new data.
The following predefined keys are used as entry points to the registry.
Entry point Use
HKEY_CLASSES_ROOT Registry entries subordinate to this key define types (or classes) of documents and the properties associated with those types. Data stored under this key is used by shell applications and by object linking and embedding (OLE) applications.
HKEY_CURRENT_USER Registry entries subordinate to this key define the preferences of the current user. These preferences include the settings of environment variables, data about program groups, colors, printers, network connections, and application preferences.
HKEY_DYN_DATA Windows 95 and Windows 98: Registry entries subordinate to this key allow you to collect performance data.
HKEY_LOCAL_MACHINE Registry entries subordinate to this key define the physical state of the computer, including data about the bus type, system memory, and installed hardware and software.
HKEY_PERFORMANCE_DATA Windows NT: Registry entries subordinate to this key allow you to access performance data. The data is not actually stored in the registry; the registry functions cause the system to collect the data from its source.
HKEY_USERS Registry entries subordinate to this key define the default user configuration for new users on the local computer and the user configuration for the current user.
The use of HKEY_CURRENT_USER, HKEY_LOCAL_MACHINE, and HKEY_USERS varies depending on the implementation of the registry.


usingreg

Using Registry Explorer

Registry Explorer is an advanced tool that enables you to change settings in your system registry, which contains information about how your computer runs. Generally, it is best to use Windows controls to change your system settings.

You should not edit your registry unless it is absolutely necessary. If there is an error in your registry, your computer may become nonfunctional. If this happens, you can restore the registry to the way it was, choosing from a list of undo files that Registry Explorer saves every time when you changing the data. For more information, click Related Topics below.


Toolbar

Using the toolbar:

Click on the button to learn what is it do.
Find a string in the registry Show search results Show bookmarks Show undo window Edit the selected key or value Delete the selected key or value Rename the selected key or value Export the selected key Import from text file Add key to bookmarks Create new key Create new dword value Create new string value Create new value with binary data


View Output

Undo actions

When you changing the keys or values of the registry, Regexp is making a backup files. If you decide to restore the old value or key just click on the "View Undo" button. The window with the history of your actions will be appear. Find the row with the action that you want to undo and right clock over it, then choose "Undo" and that is all.


view_book

The bookmark output window.

You can see the window with your bookmarks by clicking the "View bookmarks" button. The window with your bookmarks will be opened and you will see all them. Registry Explorer will keep your favorite keys here and you can easily to open every one of them.

If you want to open an existing bookmark just right click on it and then choose "Open" from the context menu.


view_srch

The search output window.

When the Regexp is searching it prints the find matches in special window. You can see then by clicking on this button. When the search process is going you can continue with the other tasks that you want to do. This will not stop the searching. You can quickly go to the find registry entry by clicking over it in the Search Output Window.


untitled

"Ini" Folders

With this folders your can see the content of the system file "win.ini" ans "sys.ini". They are very important for the starting and the working of the operating system. If uoy want to change the content of it you can do that using the check-boxes at the left side of every one field.


startup

Startup Folder

If you want to edit the startup keys, you may do this using this folder. Checking or unchecking the component that your choose will unable or disable it at the start of your system.


uninstall

Remove programs or old keys

Wan of the ways to remove the program is to use this folder of the Vilma Registry Explorer. The most important is that your can delete the keys of the programs that was removed before a time, but they was "forgot" to delete them keys from the registry.


How To ...

This section will help you to find the answers of frequently asked questions about the using of Regexp program.


Create_key

Create a key

To create a new key in the registry follow the next steps:

1. Right click on the key that will be parent key of your new key.

2. Choose "New\Key" from the context menu.

3. The new key will be created with the name like "NewKey#1". Rename the new key with the name that you want.

That is all. In addition you may use the button "New Key" from the toolbar. In this case the new key will be created under the currently selected key.


Create String

Create a string value

To create a new string value in the specified registry key follow the next steps:

1. Right click on the key that will hold your new string value.

2. Choose "New\String Value" from the context menu.

3. The "String Form" will appeared. Just fill it and click on the "OK" button.

That is all. In addition you may use the button "New String Value" from the toolbar. In this case the new value will be created under the currently selected key.


Create Bynary

Create a binary value

To create a new binary value in the specified registry key follow the next steps:

1. Right click on the key that will hold your new binary value.

2. Choose "New\Binary Value" from the context menu.

3. The "Binary Form" will appeared. Just fill it and click on the "OK" button.

That is all. In addition you may use the button "New Binary Value" from the toolbar. In this case the new value will be created under the currently selected key.


Create Dword

Create a dword value

To create a new dword value in the specified registry key follow the next steps:

1. Right click on the key that will hold your new dword value.

2. Choose "New\Dword Value" from the context menu.

3. The "Dword Form" will appeared. Just fill it and click on the "OK" button.

That is all. In addition you may use the button "New Dword Value" from the toolbar. In this case the new value will be created under the currently selected key.


search

Find a string in the registry

The search button allows you to choose a criteria for search functionality. When you want to find a specified string in the registry, just click on this button. You will see the window with the searching options. Select the criteria and click on the "Ok" button. The search results will be written in the window in the down half of the program.


edit

To edit the value data

In addition use the button "Edit" from the tool bar. In this case the currently selected key or value will be edited. If you make a mistake unse the restore(undo) system of Regexp.


rename

To rename a key or value

Right click on the key or value and choose "Rename". In addition use the button "Rename" from the tool bar. In this case the currently selected key or value will be renamed. If you make a mistake use the restore(undo) system of Regexp.


delete

To delete a key or value

Right-click the key or value, and then click Delete. In addition use the button "Delete" from the tool bar. In this case the currently selected key or value will be deleted. If you make a mistake use the restore(undo) system of Regexp.


Export

Export a key in text file

Regexp exporting a files with registry data to a file specified from you. The format of thist file is specific for the Regexp and can not be used from other programs. It is recomended do not edit this files with other editors. When you export a file, you can save it and after a time to import that file again in the registry.

To export a scpecified key do next:

1. Right click on the key.

2. Choose "Export" from the context menu.

3.Select the destanation of the file from the "File Save" dialig.

Instead of that you can use the "Export" button fron the toolbar and do the same action. In this case the currently selected key will be exported in the file.


Import

Import a file to the registry

Regexp can easuly to import files with a registry data into the registry. To import a file do next:

1. Click on the "Import" button.

2. The "File Open" dialog will appeare. Select the file for importing.

3. Click "OK".

That is all. The file will be imported immediately.


Add bookmark

To add key to bookmarks

Right click on the key and choose "Add to Bookmarks". In addition you can use the "Add Bookmark" button from the toolbar. In this case the currently selected key will be added to your bookmarks.